# Method: networks.vehicles.create

Creates a Vehicle.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/vehicles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this vehicle will be created. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `vehicleId` | `string` Required. Identifier of the vehicle to create. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.vehicles#Vehicle`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.vehicles#Vehicle`.